#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 8 December 2009                                                     *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee\
	/define=("HAVE_CONFIG_H=1")\
	/include=([-],[])

OBJECTS=regex.obj,getline.obj,obstack.obj,strverscmp.obj,copy-acl.obj,\
	exitfail.obj,getdelim.obj,getopt.obj,xmalloc.obj,getopt1.obj,\
	error.obj,set-mode-acl.obj,quote.obj,xalloc-die.obj,quotearg.obj

all : $(OBJECTS)
	library/create [-]libsed.olb $(OBJECTS)

regex.obj : regex.c regexec.c regex.h regex_internal.h stdint.h [-]config.h
getline.obj : getline.c stdint.h [-]config.h
obstack.obj : obstack.c stdint.h [-]config.h
strverscmp.obj : strverscmp.c stdint.h [-]config.h
copy-acl.obj : copy-acl.c stdint.h [-]config.h
exitfail.obj : exitfail.c stdint.h [-]config.h
getdelim.obj : getdelim.c stdint.h [-]config.h
getopt.obj : getopt.c getopt.h stdint.h [-]config.h
getopt1.obj : getopt1.c getopt.h stdint.h [-]config.h
xmalloc.obj : xmalloc.c stdint.h [-]config.h
error.obj : error.c stdint.h [-]config.h
set-mode-acl.obj : set-mode-acl.c stdint.h [-]config.h
quote.obj : quote.c stdint.h [-]config.h
xalloc-die.obj : xalloc-die.c stdint.h [-]config.h
quotearg.obj : quotearg.c stdint.h [-]config.h

getopt.h : getopt.in.h
	copy getopt.in.h getopt.h

stdint.h : stdint.h_vms
	copy stdint.h_vms stdint.h
